              WaverlyStreet ShareCon version 2.5 - USER'S MANUAL
-----------------------------------------------------------------------------
Note: if you have not already done so, you might want to print this manual on
paper. If you are reading it on screen from the ShareCon help utility, press
<P> to print it out (it is about 8 pages long).

-----------------------------------------------------------------------------
Welcome to WaverlyStreet's ShareCon 2.5 for DOS
-----------------------------------------------------------------------------
ShareCon is an easy-to-use name/address/phone number program for PCs. It is
designed for use by INDIVIDUALS, but includes provisions for working within a
GROUP environment. The records that ShareCon maintains are tagged as either
PERSONAL or PUBLIC. Each individual user keeps their OWN records, on their OWN
personal computer and/or office network workstation. Entirely at the
individual user's discretion, ShareCon will produce public MERGE files that
other users may incorporate into their own records.

ShareCon incorporates a number of features to make it easy to find specific
records, including alphabetical search, word search, and a keywords system.
Each ShareCon record may contain up to three keywords. Use keywords to group
records together. For instance, you might attach the keyword "vendor" to all
the names and addresses of every firm that you buy things from. To get more
specific, you might attach a second keyword (say, "widgets") to those vendors
from whom you buy widgets.

With version 2.5, ShareCon (DOS version ONLY) is released as FREEWARE, however
WaverlyStreet retains Copyright!

-----------------------------------------------------------------------------
Getting started
-----------------------------------------------------------------------------
When you start ShareCon for the very first time, the blank "reminder" screen
comes up, along with a note that no editor has been specified on the command
line. For now, press any key to clear this and get to the main screen. The top
line of the screen shows all the available command options. Keys that "work"
at a given screen are shown in brackets like so: <ESC>(the escape key),
<F1>(the F1 key), <INS>(the insert key), and so on. Just to the right of <ESC>
there are four tiny arrows. These indicate which of the keyboard "arrow" keys
work at a given screen. Press the right arrow key, and the Keywords box on the
right side of the screen shifts color to indicate that it is "on". Notice that
the right arrow is no longer shown on the top line of the screen. This is
because the right arrow does not do anything in the Keywords box. Press the
left arrow key to return to the main screen. Notice that <TAB> is an option at
the main screen. Press it, and more main screen command options will be shown.

The best way to become familiar with ShareCon is to simply start playing
around with it. The remainder of this manual is broken into sections which
explain the various ShareCon operations. I have attempted to place the
sections in order, so that one can follow through and try each operation in
turn, and emerge at the end pretty much familiar with the program.

-----------------------------------------------------------------------------
Add new entries
-----------------------------------------------------------------------------
Press <INS> at the main screen. You must press either "i" or "o" to tag the
new entry as an individual or an organization. Next, you must press either "r"
or "p" to tag the entry as personal or public.

Now, move the pointer to the first line item you wish to fill in and press
<ENTER>. Type in the information. Press <ENTER>, or <TAB>, or the up or down
arrow keys to move to another field. Press <ESC> when you are finished. If you
select KEYWORDS, you will need to tell the program which keyword you want to
work with (use the up and down arrows to point to 1, 2, or 3). Press any key
except "d", and the full keyword sub-system is activated. You may enter new
keywords, edit them, or delete them, just as if you selected the keyword
function at the main screen. But, to simply select an existing keyword from
the list, use the arrow keys and the <PGUP> and <PGDN> keys to point to the
word you want, and press <ENTER>. The selected keyword will be displayed on
screen along with the rest of the record.

When you are done making changes, press <F2> to save the new entry. The new
record will be placed in alphabetical order.

-----------------------------------------------------------------------------
The keywords sub-system
-----------------------------------------------------------------------------
The keywords sub-system may be activated from several different places within
the program. At the main screen, press the right arrow key. Think of the
keywords sub-system as an index to your records.

When activated, the keyword list on the right side of the screen changes color
to indicate that it is "on". Note the function key selection at the top of the
screen.

To add a new keyword, press <INS>. Type it in and press <ENTER>. Now indicate
whether the new keyword is personal or public. If you select personal, the
keyword will have a tilde (~) appended to it. In either case, the keywords
file is re-sorted and re-displayed. Personal keywords will drift to the bottom
of the list.

If you don't like one of your keywords, you may edit it or delete it. Press
<F3> to edit. The keyword list again shifts color. Use the arrows and <PGUP>
<PGDN> to point to the keyword in question, and press <ENTER>. Type in a
replacement for it, and indicate whether it is to be personal or public.
ShareCon will then change the keyword in the keyword file, and also in every
record containing it.

To delete a keyword, press <DEL> while the keyword list in "on". The keyword
list will shift color. Use the up and down arrow keys and <PGUP> <PGDN> to
point to the keyword in question, and press <ENTER>. ShareCon will remove the
offending keyword, then offer you the option of either removing it from all
the entries too, or doing nothing further. The default is to do nothing; that
way, if you later change your mind and add the keyword back in, your records
will still have it. It won't hurt anything to have "orphan" keywords in some
of your records.

-----------------------------------------------------------------------------
Printing
-----------------------------------------------------------------------------
Press <F4> at the main screen, or while in a keyword search. Select which type
of record you wish to print; individuals, organizations, or both. Next, you
must decide whether or not to select by keyword. (See the keywords section)

Next, indicate whether you want to print personal, public, or both classes of
records.

Finally, select Phone list, Complete records, Labels, or Comma-Delimited.

The Phone list option will print each record on a single line, with the phone
number and fax number. The phone list option skips over records that do not
have phone numbers.

If you choose complete records, then ShareCon will offer to print all
non-empty fields in all selected records. The default is to print all fields,
but you may remove fields that you do not wish to print on this particular
list.

You may specify that the printed list have HTML code added, to make the E-Mail
and URL fields work as active World Wide Web links. If this option is used,
print the list to a file with the extension .htm, and use it as a web page
without any other modification required.

If you select labels, you must specify standard or custom. Standard will print
to 1" high, two label wide (20 labels per sheet) self-adhesive mailing address
labels, which are available at office supply stores and the like. The custom
option prints one address on five lines, and you specify how many blank lines
go between addresses. (If you are a cheapskate like me, you may also print
labels on plain paper, cut them out and use clear tape to stick them to
envelopes (hey, it works fine!))

If you select comma-delimited, then you are immediately prompted for an output
file name. The output is as follows: Each record on a single line, terminated
with a CR/LF - these fields (in this order): first name, last name,
organization, address 1, address 2, city, state, zip code, country, phone,
fax, e-mail, URL. Each field is enclosed in double quotes, and separated by a
comma, like so: "field 1","field 2","field 3", and so on... Notice that the
notes and keywords are NOT included.

All print output (except comma-delimited) initialy goes to the screen for
review. Press "p" (while in the file browser) to print to paper or a file. You
will be prompted to select a printer port, then the list will be printed.
(Note: you can also start your external text editor from the file browser, and
use the editor's print utility instead. See the section on external text
editors below.)

If there is some problem with printing, then ShareCon will advise you to check
your printer. It could be that you selected an invalid port, or that your
printer is off-line or out of paper. Just look for obvious problems and try
again.

-----------------------------------------------------------------------------
Alphabetical search
-----------------------------------------------------------------------------
At the main screen, within a keyword search, or in the keywords system, press
the space bar, and then the letter to which you would like to jump. The
contacts or keywords display will jump to the first item starting with that
letter.

-----------------------------------------------------------------------------
Searching for a word
-----------------------------------------------------------------------------
In addition to the keywords system, ShareCon will search your records for any
word you specify. (This utility searches all the fields in your records EXCEPT
the keywords.) Press <F6> at the main screen, or from within a keyword search
to begin. Type in either the entire word you need, or just the first several
characters in the word. (This works with numbers, too; For example, to look at
all your records for a certain telephone area code...) Once you have entered
in your search pattern, press <ENTER>. If you like, ShareCon will make a list
of all the records it finds (similar to a keyword search). Otherwise, each
record in the data file is searched in turn. When a match is found, the
complete record is displayed on screen. Press any key to continue the search.
Press <ESC> to terminate searching.

-----------------------------------------------------------------------------
Viewing & editing whole records
-----------------------------------------------------------------------------
At the main screen, use the up and down arrow keys and the <PGUP> and <PGDN>
keys to point to the record you wish to view, and then press <ENTER>. The
entire contents of the record will be displayed on screen. Press <PGUP> to see
the previous record, <PGDN> the next. Press <ESC> at any time to return to the
main screen.

To narrow your view to records containing a certain keyword, press the right
arrow key at the main screen to activate the keywords sub-system, then use the
arrow keys and the <PGUP> and <PGDN> keys to point to the desired keyword.
Press <ENTER>, and you will be presented with a "short list" that consists
only of records containing that keyword. You may now view the "short list"
just as you would the full list.

To edit a record, press <F3> (while viewing the entire record). Move the
pointer to the line item you wish to change and press <ENTER>. Type in the new
information. Press ENTER, TAB, or the up or down arrow key to go to the next
or previous field. Press <ESC> to stop. When you are done making changes,
press <F2> to save the revised entry. If you want to abandon your changes,
press <ESC> instead. If you have changed the field that the program uses to
sort the file (lastname or organization name) then ShareCon will offer to
re-sort it right then. The default is not to re-sort. (Note - when editing
from within a keyword search, there will be no offer to re-sort).

To delete a record, press <DEL> (while viewing the entire record). You are
given a chance to change your mind. To go through with the deletion, you must
press the "y" key.

To print a single record, (while viewing a full record) just press <F4> and
specify the printer port. The output is name and address (in the form of a
mailing label) plus phone and fax number. This is handy for printing several
unrelated address labels "on the fly".

-----------------------------------------------------------------------------
Form letters
-----------------------------------------------------------------------------
With version 2.4+, ShareCon incorporates utilities to generate form letters.
The output consists of three parts: letterhead, mailing address & date, and
letter body.

To get started, press <F5> while viewing a full record, from either the main
screen or from a keyword search. For now, press <ENTER> to skip editing the
letterhead file. Type "5" (without the quotes) when prompted for the number of
spaces to "push" the address to the right, then press <ENTER>. The file
browser will start, and you will be looking at a template letterhead file,
followed by the date and the mailing address of the record you were just
looking at. Press the "i" key to import a file. Type in "readme.txt" (without
the quotes) and press <ENTER>. Now you should have on screen a sample form
letter. To print it, press the "p" key, and specify a printer port. When you
exit the file browser this time, you will be asked if you want to batch print
the same letter you just created. If you answer "Y", then a "last chance"
screen will come up, showing several characteristics of the job ShareCon is
ready to print, including the number of letters to be done. Obviously you
won't want to do this with the practice letter!

Go through the steps above several times until you are comfortable with (and
understand) what the program is doing. Once you "get it", you will want to
customize the letterhead.

There are two things that determine where on the page the address is placed:
The distance from the top is governed by the over-all number of lines that the
letterhead file consists of. The left margin is determined by the "push to the
right" value. Fiddle around with these until the address is placed where you
want it (perhaps to show through your window envelopes).

If you wish to use pre-printed stationary rather than the built-in plain text
letterhead file, edit the letterhead file so that it consists only of blank
lines, sufficient in number to force the address down below your pre-printed
form's letterhead.

The letter body (the file you import with the file browser), needs to be plain
ASCII text, as created with any text editor. To space the body down below the
address, pad the top of it with blank spaces.

-----------------------------------------------------------------------------
Sort your records
-----------------------------------------------------------------------------
Merging with other users and editing records will eventually cause your
records to become out of order. Press <F5> at the main menu to sort your
records alphabetically. ShareCon lists individuals and organizations together.
They are sorted as follows: individuals are evaluated by their last names, and
organizations are evaluated by the organization name. If you begin sorting,
and it is taking too long, press the <ESC> key to cancel the operation. Save
it for some other time when you aren't so busy, or let it run when you are
away from your desk. (Or, if running ShareCon under Windows, set the
background processing option "on" (see your Windows manual).)

-----------------------------------------------------------------------------
Backup / merge functions
-----------------------------------------------------------------------------
At the main screen, press <F7> to bring up the ShareCon DISK UTILITIES MENU.
This is where you backup and restore your files, and create or read merge
files for or from other users of ShareCon. Press the number of your selection
to activate it.

                     BACKUP *ALL* FILES TO FLOPPY DRIVE

This is just a common-sense periodic backup utility. It copies the files
CONTACT.DAT and KEYWORD.DAT to a floppy disk for safe-keeping. The files are
named CONTACT.BAK and KEYWORD.BAK on the floppy disk. You must specify a
target drive letter. This utility will OVERWRITE any previous CONTACT.BAK or
KEYWORD.BAK files on the target disk, without warning.

               CREATE PUBLIC MERGE FILES (No Personal Entries)

This utility creates merge files that you can share with others. First, a
couple things to keep in mind:

      Only records and keywords that are tagged as PUBLIC will be
      written to the merge file.

      In the case of a PUBLIC record which contains PERSONAL
      keywords, the PERSONAL keywords are stripped out of the
      merge file record.

      Only PUBLIC keywords that are used in the selected records
      will be written to the merge file.

To use the utility, press 2 at the disk utilities menu. Now indicate whether
or not you wish to select by keyword. If you chose to select by keyword, the
keyword box will shift colors and then you use the arrow keys and the <PGUP>
and <PGDN> keys to point to the desired keyword, and press <ENTER>. In either
case, you must then specify a target drive letter. The appropriate records
will then be processed and written to the files CONTACT.MER and KEYWORD.MER on
the target drive. This utility will OVERWRITE any previous CONTACT.MER or
KEYWORD.MER files on the target disk, without warning.

                  MERGE CURRENT FILES WITH FLOPPY DISK FILES

This is where you incorporate someone else's merge files into your records, or
restore backed up records. To run it, press 3 at the utility menu. (It would
be a good idea to go back to the utility menu and run the backup item if you
have not done so lately.)

Once you indicate that you do want to continue, you must type in the drive
letter containing the merge files. Just press the letter of the drive.
(ShareCon will look for files in the root directory of the drive.)

Now, press "p" or "b", to indicate whether the program is to look for (P)ublic
merge files or (B)ackup files.

Next, you need to tell the program how to handle any apparent duplicate
records that it finds in the backup or merge files. (Records are considered
duplicates if the last name, first name, and organization name all match. The
comparison is NOT case-sensitive.) There are two options: The default is to
reject the duplicate from the merge file, and only keep your original record.
This way, you can rest assured that none of your existing records will be
modified. The other option is to have the program compare the apparent
duplicate's date/time stamps, and keep whichever of the two is newer. This is
convienent when you know that some of your records are out of date, and that
the the merge file contains more current records.

ShareCon will now extract each new record in turn, compare them to your
existing records, and produce new data files which contain both sets, as you
have specified.

               MAKE NEW DATE/TIME STAMP ON ALL RECORDS NOW

If you wish to make absolutely sure that the records in your merge files are
favored during a merge operation on another machine, run this utility first,
then create the merge file. Or, to make sure your existing records are
retained during a merge, run this just prior to merging things IN.

Note: In all the DISK UTILITIES functions, keep in mind that you can use hard
drives and/or RAM drives instead of proper floppy drives. So for instance,
when you are merging network records into your local records, you don't *have*
to mess around with floppy disks.

-----------------------------------------------------------------------------
External text editors
-----------------------------------------------------------------------------
When you have printed a list to the screen, you may call up an external text
editor and modify / "mark up" the list. (ShareCon does not have it's own text
editor; it uses whichever editor you specify.) The external editor is
specified on the DOS command line, or in a Windows program item command line
field, in this format: sc [complete path and file spec for editor executable].
Note the space between the sharecon call and the editor call. For example, to
use the READ editor, type:

     sc25 read

on the command line. If no editor is specified on the command line, ShareCon
will attempt to use EDIT. (EDIT was furnished with MS-DOS version 5 and on (I
believe). EDIT is not particularly satisfying, but works OK as long as your
lists are not very long. Much better suited is a shareware editor called READ.
READ can be found on the internet at http://users.aol.com/wellscom/ , or 
http://www.infinet.com/~dgjess , or http://www.waverlystreet.com , or at any
of the major shareware archives.

-----------------------------------------------------------------------------
Data directories
-----------------------------------------------------------------------------
By default, ShareCon places its data files in the same directory that the
program resides in. However, you may change this in one of two ways.

First, you may specify a different directory in SETUP. (See SETUP)
Alternately, you may change data directories "on the fly" from within the
program. Press <F9> at the main screen to do this. Press "y", and type in a
new path. If the new path that you ask for cannot be found, you are prompted
to try again. Note - if you leave the new path entry blank, the program will
automatically select the directory in which the program resides.

Network notes: The fact that ShareCon has the ability to access remote drives
and directories is not meant to imply that the program is completely "network
compatible". For one thing, to use "common" data exclusively would sort of
defeat one of the main ideas behind ShareCon; that being the home/work,
personal/business portability. Additionally, although steps were taken to make
ShareCon able to operate in a network environment, that was not a main goal,
and you might find the operation a little "clunky" and confusing when several
users are accessing the same files. It is also (remotely) possible that
records could be over-written, under certain circumstances, where two users
were editing at the very same time.

The reason for the (rudimentary) network compatibility is so that one person
in an office can be given the task of maintaining an "official" list (or
lists). Other users may then change to the "official" list from time to time
(by pressing F9), and create merge files for themselves, without bothering the
person who maintains the "official" files. Constant use of network data files
in a group environment is NOT advised.

-----------------------------------------------------------------------------
Setup
-----------------------------------------------------------------------------
There are a number of user-defined characteristics of ShareCon that you may
modify by using the SETUP utility. To start SETUP, press <F10> at the main
screen. Select a SETUP option with the arrow keys and <ENTER>. Press <ESC> to
leave setup and save all configuration information.

PASSCODE: If the passcode is set to anything other than 0, then the program
will require that the correct passcode be entered upon start-up. The passcode
may be up to four characters long, and each character must be one of the
numbers 0 through 9.

PRINT X LINES PER PAGE: Specify a number of lines to print between form feeds,
for the file browser print utility.

SCREEN COLORS: Select this item to run the color configuration utility. To
modify an item, move the pointer to it and press <ENTER>. The color will be
changed to the next highest color number. (0 through 7 for backgrounds, 0
through 15 for foregrounds.) Once you have the colors the way you want them,
select "Save these colors and EXIT". You may also return to the default
colors. (Note: you must "save" the default colors too.)

DATA PATH: If you wish to have ShareCon access data files in some other drive
and/or directory on startup, specify that path here.

SCRATCH FILE PATH: Certain ShareCon functions make extensive use of temporary
files. If you have a RAM drive set up on your computer, you may experience
some increased performance by directing ShareCon to use the RAM drive for
these "scratch" files. The RAM drive needs to be larger than your largest
CONTACTS.DAT file. See your DOS manual for information on RAMDRIVE.SYS.

REMINDER UTILITY: ShareCon incorporates a (completely un-related) little
utility to help make sure that you don't forget up to 10 "VERY IMPORTANT BITS
OF INFORMATION". You may toggle the reminder utility to run either every time
you start the program, not at all, or only every time you start the program in
a new month (my favorite). To toggle the operational mode, select Show
Reminders: and press <ENTER>. To enter a new, or edit an existing reminder,
point to it and press <ENTER>. Work on the date, press <ENTER>, and then do
the note (and press <ENTER>). To have a look at your reminders anytime, press
<F10> at the main screen.

-----------------------------------------------------------------------------
Getting the most out of ShareCon
-----------------------------------------------------------------------------
*    Use it often. As with anything else, the more you use it, the quicker
     and easier it becomes.

*    Run it all the time in a DOS window from Windows, switching in and out
     with ALT-TAB. Place it in the Windows start-up group so it starts
     automatically when you start Windows.

*    Choose keywords carefully. If working in a group of people, it might be
     a good idea for the group to discuss what keywords to use, before you
     get too far into entering data. Don't make your keywords overly
     specific, and don't use so many of them that browsing the keywords list
     is confusing. Use a hierarchical system - in a large group of related
     records, make the first keyword a broad one, the second more specific,
     and the third even more specific.

*    If working in a group, have one person set up an initial data file with
     the agreed-upon keywords structure, then have the other users merge that
     in and go from there with their own personal records. The other users
     will be much more likely to stick with the group keyword structure if it
     is already set up for them, and subsequent merging of records will be
     much more efficient if everyone is using the same general structure.

*    Load up the NOTES fields with words that pertain to the record, and use
     the search by word feature (F6).

-----------------------------------------------------------------------------
Upgrading from a previous version (2.0 and prior)
-----------------------------------------------------------------------------
ShareCon versions 2.1+ use a slightly different data format than versions 2.0 
and prior. The older version files were named CONTACTS.DAT and KEYWORDS.DAT. 
The new files are named CONTACT.DAT and KEYWORD.DAT. To make your old data 
files useable, you must run them through the conversion utility, SC21DATA.EXE. 
This utility is available at the WaverlyStreet web site, or write and ask for 
it. Either way, it's free.

-----------------------------------------------------------------------------
     ShareCon Copyright (C) WaverlyStreet, 1996-99. All Rights Reserved.
-----------------------------------------------------------------------------
        WaverlyStreet, P.O. Box 14249, Columbus, Ohio, 43214 (US)
                     http://www.waverlystreet.com
                    http://www.infinet.com/~dgjess
-----------------------------------------------------------------------------
